Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I am trying to deploy a charm, mongodb with the following:

juju deploy mongodb

but the newest revision introduced a bug, or for some other reason I want to deploy an older version of the charm, how can I do this?

share|improve this question

1 Answer 1

First off, you need to find out which revision you need. The revision of the charm is completely different from the bzr revision. So for https://jujucharms.com/precise/mongodb/

enter image description here

So the charm revision is 26. Now let's say you think something broke in 26, and you want to try version 25 or earlier.

juju deploy cs:mongodb-25

will give you that revision of the charm. However it is always a good idea to be explicit about the series as well to ensure repeatability:

juju deploy cs:precise/mongodb-25 
share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.